<template>
  <header>
    <h3>Verify your Email</h3>
    <p>We have sent a verification email to n****e@e***e.com.</p>
  </header>
  <form>
    <fieldset>
      <EmailField
        v-model="email"
        @pass="pass = $event"
      />
    </fieldset>
    <footer>
      <Button
        :disabled="!pass"
        @click="recovery"
      >
        Resend Email
      </Button>
      <Link :to="appEndpoints.LOGIN">Back to Login</Link>
    </footer>
  </form>
</template>

<script lang="ts" setup>
import { Button, Link } from '~shared/ui';
import { EmailField } from '~features/auth';
import { appEndpoints } from '~shared/libs';

const email = ref('');
const pass = ref(false);
const recovery = () => {
  console.log('recovery in progress');
};
</script>
